org.apache.struts2.interceptor

## Class StrutsResourceIsolationPolicy

- java.lang.Object
- - org.apache.struts2.interceptor.StrutsResourceIsolationPolicy

- All Implemented Interfaces:
    ResourceIsolationPolicy

      public final class StrutsResourceIsolationPolicy
      extends Object
      implements ResourceIsolationPolicy

  Default resource isolation policy used in `FetchMetadataInterceptor` that implements the `ResourceIsolationPolicy` interface. This default policy is based on https://web.dev/fetch-metadata/.
  See Also:
    https://web.dev/fetch-metadata/, https://www.w3.org/TR/fetch-metadata/

- - ### Field Summary

    - ### Fields inherited from interface org.apache.struts2.interceptor.ResourceIsolationPolicy

      `DEST_AUDIO, DEST_AUDIOWORKLET, DEST_DOCUMENT, DEST_EMBED, DEST_EMPTY, DEST_FONT, DEST_IMAGE, DEST_MANIFEST, DEST_NESTED_DOCUMENT, DEST_OBJECT, DEST_PAINTWORKLET, DEST_REPORT, DEST_SCRIPT, DEST_SERVICEWORKER, DEST_SHAREDWORKER, DEST_STYLE, DEST_TRACK, DEST_VIDEO, DEST_WORKER, DEST_XSLT, MODE_CORS, MODE_NAVIGATE, MODE_NESTED_NAVIGATE, MODE_NO_CORS, MODE_SAME_ORIGIN, MODE_WEBSOCKET, SEC_FETCH_DEST_HEADER, SEC_FETCH_MODE_HEADER, SEC_FETCH_SITE_HEADER, SEC_FETCH_USER_HEADER, SITE_CROSS_SITE, SITE_NONE, SITE_SAME_ORIGIN, SITE_SAME_SITE, VARY_HEADER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsResourceIsolationPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRequestAllowed(javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsResourceIsolationPolicy

          public StrutsResourceIsolationPolicy()

  - ### Method Detail

    - #### isRequestAllowed

          public boolean isRequestAllowed(javax.servlet.http.HttpServletRequest request)

      Specified by:
        `isRequestAllowed` in interface `ResourceIsolationPolicy`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.